package se.dannej.fakehttpserver.expect;

import se.dannej.fakehttpserver.FakeHttpServer;
import se.dannej.fakehttpserver.expect.cardinality.Cardinality;

public class ExpectationState {
	private static Requests currentRequest;

	public static Requests createRequestExpectation(FakeHttpServer server, Cardinality cardinality) {
		currentRequest = new Requests(server, cardinality);
		return currentRequest;
	}
	
	/**
	 * @return the current request expectation being setup
	 */
	public static Requests getCurrentRequest() {
		return currentRequest;
	}
	
	/**
	 * Forget current expectation, if there is one.
	 */
	public static void clearExpectations() {
		currentRequest = null;
	}
}
